import * as unplugin from 'unplugin';
import { EnhancedRemoteOptions, EnhancedHostOptions } from './index.js';
import '@module-federation/dts-kit';

declare const NativeFederationTypeScriptRemote: (options: EnhancedRemoteOptions) => unplugin.RollupPlugin | unplugin.RollupPlugin[];
declare const NativeFederationTypeScriptHost: (options: EnhancedHostOptions) => unplugin.RollupPlugin | unplugin.RollupPlugin[];

export { NativeFederationTypeScriptHost, NativeFederationTypeScriptRemote };
