import { WebpackPluginInstance } from 'unplugin';
import { EnhancedRemoteOptions, EnhancedHostOptions } from './index.js';
import '@module-federation/dts-kit';

declare const NativeFederationTypeScriptRemote: (options: EnhancedRemoteOptions) => WebpackPluginInstance;
declare const NativeFederationTypeScriptHost: (options: EnhancedHostOptions) => WebpackPluginInstance;

export { NativeFederationTypeScriptHost, NativeFederationTypeScriptRemote };
